Bug 102081 - add instructions for backing up OS X, preferably upstream
add instructions for backing up OS X, preferably upstream
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: amanda (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Jay Turner
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-10 17:15 EDT by Patrick C. F. Ernzer
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-20 07:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2003-08-10 17:15:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/85 (KHTML, like Gecko) 
Safari/85

Description of problem:
It seems there now is a possibility to back up Mac OS X clients with amanda. Can we please do at 
least one of the following (by order of preference):

  - Have 'http://web.brandeis.edu/pages/view/Bio/AmandaMacOSXCompileNotes' added to the 
upstream amanda FAQ-O_matic
  - Make OS X disk images for bith hfstar and amanda for distribution
  - Add 'http://web.brandeis.edu/pages/view/Bio/AmandaMacOSXCompileNotes' to the docs CD. 
(refile to docs then)

Thanks

PCFE

Version-Release number of selected component (if applicable):
amanda-2.4.2p2-4

How reproducible:
Didn't try

Steps to Reproduce:
can not test at the moment, sf.net's servers are down for maintenance.
I'll try to get around to doing the testing in my spare time
    

Additional info:
Comment 1 Patrick C. F. Ernzer 2003-08-12 09:54:45 EDT
FWIW:

instructions work with amanda 2.4.3
compilation fails with amanda-2.4.4

I'll see tomorrow how the backup went and will report here.
Comment 2 Lukas Vrabel 2007-04-03 06:34:54 EDT
Hi, is this problem still actual?
Comment 3 Patrick C. F. Ernzer 2007-04-03 08:54:24 EDT
Yes, AFAICT we still have no instructions for backing up Mac OS X machines with
a RHEL amanda
Comment 4 RHEL Product and Program Management 2007-10-19 15:24:29 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.
Comment 5 Patrick C. F. Ernzer 2007-10-21 11:03:27 EDT
This one got erroneously caught in the 2.1 cleanup it seems.

As nowadays the Zmanda guys are listed at
https://www.redhat.com/apps/isv_catalog/VendorProfile.html?cat=isv&vendor_id=4372
it should be sufficient to add the following to the docs:

[start]
If you intend to backup clients for which Red Hat does not ship the
amanda-client package, my we recommend the services of Zmanda? They offer
support for a multitude of operating systems.
[end]

Mind you, OS X if only listed under planned future support.
Comment 7 Patrick C. F. Ernzer 2009-10-18 09:45:00 EDT
Guess we can close this, http://wiki.zmanda.com/index.php/How_To:Customize_MacOS_X_Amanda_Packages now reads:

We found it was just too difficult to create reasonably portable Mac packages for Amanda. If you're interested in the scripts we created to do this, please contact Zmanda - we're happy to share!
Comment 8 Daniel Novotny 2009-10-20 07:21:57 EDT
OK, closing

Note You need to log in before you can comment on or make changes to this bug.